Bug 29791 - KohaOpacLanguage cookie should set the secure flag if using HTTPS
Summary: KohaOpacLanguage cookie should set the secure flag if using HTTPS
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-04 15:23 UTC by Kyle M Hall
Modified: 2022-03-26 20:17 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29791 - KohaOpacLanguage cookie should set the secure flag if using https (685 bytes, patch)
2022-01-04 15:24 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 29791: KohaOpacLanguage cookie should set the secure flag if using https (840 bytes, patch)
2022-01-08 23:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29791: (follow-up) Add missing comma in previous line (771 bytes, patch)
2022-01-08 23:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29791: KohaOpacLanguage cookie should set the secure flag if using https (916 bytes, patch)
2022-03-22 11:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29791: (follow-up) Add missing comma in previous line (847 bytes, patch)
2022-03-22 11:16 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2022-01-04 15:23:53 UTC

    
Comment 1 Kyle M Hall 2022-01-04 15:24:43 UTC
Created attachment 129004 [details] [review]
Bug 29791 - KohaOpacLanguage cookie should set the secure flag if using https
Comment 2 Liz Rea 2022-01-04 15:33:30 UTC
To test, the headers should have value set-cookie: secure;

for the language cookie, when the site is using https.
Comment 3 Katrin Fischer 2022-01-08 23:27:47 UTC
Created attachment 129223 [details] [review]
Bug 29791: KohaOpacLanguage cookie should set the secure flag if using https

To test, the headers should have value set-cookie: secure;
for the language cookie, when the site is using https.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2022-01-08 23:27:51 UTC
Created attachment 129224 [details] [review]
Bug 29791: (follow-up) Add missing comma in previous line

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2022-01-08 23:28:26 UTC
I couldn't test with https, but have verified the cookie is set correctly with my follow-up patch on http.
Comment 6 Jonathan Druart 2022-03-22 11:16:27 UTC
Created attachment 132009 [details] [review]
Bug 29791: KohaOpacLanguage cookie should set the secure flag if using https

To test, the headers should have value set-cookie: secure;
for the language cookie, when the site is using https.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2022-03-22 11:16:31 UTC
Created attachment 132010 [details] [review]
Bug 29791: (follow-up) Add missing comma in previous line

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Fridolin Somers 2022-03-25 00:25:16 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄